// ID:ID, NeedRecharged:解锁条件, ItemID:奖励道具ID, ItemCount:奖励道具数量

export default class M_ActivitySummerPlanRechargedCFG {
  private static data =
      {"1":{"ID":1,"NeedRecharged":30,"ItemID":[1,333],"ItemCount":[300000,1]}

      ,"2":{"ID":2,"NeedRecharged":60,"ItemID":[1,333],"ItemCount":[600000,3]}

      ,"3":{"ID":3,"NeedRecharged":100,"ItemID":[1,333],"ItemCount":[1000000,6]}

      ,"4":{"ID":4,"NeedRecharged":200,"ItemID":[1,333],"ItemCount":[2000000,8]}

      ,"5":{"ID":5,"NeedRecharged":500,"ItemID":[1,333],"ItemCount":[5000000,12]}

      ,"6":{"ID":6,"NeedRecharged":1000,"ItemID":[1,333],"ItemCount":[10000000,20]}

      ,"7":{"ID":7,"NeedRecharged":5000,"ItemID":[1,333],"ItemCount":[50000000,50]}

      }// ID:ID, NeedRecharged:解锁条件, ItemID:奖励道具ID, ItemCount:奖励道具数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}